#ifndef LCD_ST7735

#define LCD_ST7735

//        SPI
//   -   SPI2
//        SPI  2    
#define LCD_TO_SPI2

#define LCD_SOFT_RESET  //   ,     RST     VCC

#define LCD_RST_DLY 10      //      ,     120 ,     10 
							//      -      120

//        \
//        SPI2 ,        RST, A0, CSE
//    (SDA, SCK)     GPIOB ( 15  13 )
#define 	LCD_GPIO			GPIOB					//      
#define     LCD_AHB1_GPIO		RCC_AHB1Periph_GPIOB	//     

//   ()
#define 	LCD_RST_PIN 		GPIO_Pin_14
#define     LCD_A0_PIN			GPIO_Pin_12
#define		LCD_CSE_PIN			GPIO_Pin_10

//     SPI2    SDA      GPIOB_Pin_15,  SCK  GPIOB_Pin_13
//    SPI2        (   GPIOB) . 
//   ()
#define		LCD_SDA_PIN			GPIO_Pin_15
#define		LCD_SCK_PIN			GPIO_Pin_13



void lcd7735_init(void); //  
void lcd7735_sendbuff(void);    //   

#endif

